​
Select Service
ves-io-schema-network_interface-API-List
Published April 5, 2023 | Last modified May 28, 2026
Examples of listing network_interface
Usecase:
List network-interface
Request using vesctl:
vesctl configuration list network_interface --namespace system
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: network-interface-1 namespace: system statusSet: [] tenant: acmecorp uid: acdc9390-4efd-4bd7-888e-d8417f179d1eRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/network_interfaces'curl response
HTTP/1.1 200 OKContent-Length: 442Content-Type: application/jsonDate: Mon, 13 Apr 2026 01:59:57 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "system", "name": "network-interface-1", "uid": "acdc9390-4efd-4bd7-888e-d8417f179d1e", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}